## jpathwatch 0.95

=== jpathwatch-native/prj/linux/jpathwatch-native-linux/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:                called before 'help' target
#     .help-post:               called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...
#	javah -classpath ../../../../build/classes name.pachler.nio.file.impl.NativePathWatchService -d ../../../src

.build-post: .build-impl
# Add your post 'build' code here...

# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...

# include project implementation makefile
include nbproject/Makefile-impl.mk

=== jpathwatch-native/prj/win32/jpathwatch-native-win32/Makefile ===
#
#  There exist several targets which are by default empty and which can be 
#  used for execution of your targets. These targets are usually executed 
#  before and after some main targets. They are: 
#
#     .build-pre:              called before 'build' target
#     .build-post:             called after 'build' target
#     .clean-pre:              called before 'clean' target
#     .clean-post:             called after 'clean' target
#     .clobber-pre:            called before 'clobber' target
#     .clobber-post:           called after 'clobber' target
#     .all-pre:                called before 'all' target
#     .all-post:               called after 'all' target
#     .help-pre:               called before 'help' target
#     .help-post:              called after 'help' target
#
#  Targets beginning with '.' are not intended to be called on their own.
#
#  Main targets can be executed directly, and they are:
#  
#     build                    build a specific configuration
#     clean                    remove built files from a configuration
#     clobber                  remove all built files
#     all                      build all configurations
#     help                     print help mesage
#  
#  Targets .build-impl, .clean-impl, .clobber-impl, .all-impl, and
#  .help-impl are implemented in nbproject/makefile-impl.mk.
#
#  Available make variables:
#
#     CND_BASEDIR                base directory for relative paths
#     CND_DISTDIR                default top distribution directory (build artifacts)
#     CND_BUILDDIR               default top build directory (object files, ...)
#     CONF                       name of current configuration
#     CND_PLATFORM_${CONF}       platform name (current configuration)
#     CND_ARTIFACT_DIR_${CONF}   directory of build artifact (current configuration)
#     CND_ARTIFACT_NAME_${CONF}  name of build artifact (current configuration)
#     CND_ARTIFACT_PATH_${CONF}  path to build artifact (current configuration)
#     CND_PACKAGE_DIR_${CONF}    directory of package (current configuration)
#     CND_PACKAGE_NAME_${CONF}   name of package (current configuration)
#     CND_PACKAGE_PATH_${CONF}   path to package (current configuration)
#
# NOCDDL


# Environment 
MKDIR=mkdir
CP=cp
CCADMIN=CCadmin
RANLIB=ranlib


# build
build: .build-post

.build-pre:
# Add your pre 'build' code here...

.build-post: .build-impl
# Add your post 'build' code here...


# clean
clean: .clean-post

.clean-pre:
# Add your pre 'clean' code here...

.clean-post: .clean-impl
# Add your post 'clean' code here...


# clobber
clobber: .clobber-post

.clobber-pre:
# Add your pre 'clobber' code here...

.clobber-post: .clobber-impl
# Add your post 'clobber' code here...


# all
all: .all-post

.all-pre:
# Add your pre 'all' code here...

.all-post: .all-impl
# Add your post 'all' code here...


# help
help: .help-post

.help-pre:
# Add your pre 'help' code here...

.help-post: .help-impl
# Add your post 'help' code here...



# include project implementation makefile
include nbproject/Makefile-impl.mk

# include project make variables
include nbproject/Makefile-variables.mk

=== debian/changelog ===
jpathwatch (0.95-4) unstable; urgency=medium

  * Team upload.
  * Fixed the build failure with OpenJDK 8 (Closes: #814146)
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Feb 2016 22:36:58 +0100

jpathwatch (0.95-3) unstable; urgency=medium

  * Team upload.
  * Transition to bnd >= 2.1.0.
  * Vcs-Browser: Use https.

 -- Markus Koschany <apo@debian.org>  Wed, 18 Nov 2015 18:55:30 +0100

jpathwatch (0.95-2) unstable; urgency=low

  * Team upload.

  [ Jakub Adam ]
  * Fix long description typo in d/control.

  [ Markus Koschany ]
  * Add debian/pom.xml, build with jh_maven_repo_helper and provide Maven
    artifacts. (Closes: #799004)

  [ tony mancill ]
  * Update Vcs-Browser URL.
  * Update debian/watch to use sf.net redirector.
  * Bump Standards-Version to 3.9.6.

 -- tony mancill <tmancill@debian.org>  Mon, 14 Sep 2015 20:53:04 -0700

jpathwatch (0.95-1) unstable; urgency=low

  * Initial release. (Closes: #697471)

 -- Jakub Adam <jakub.adam@ktknet.cz>  Sat, 05 Jan 2013 16:46:21 +0100

=== debian/control ===
Source: jpathwatch
Section: java
Priority: extra
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Jakub Adam <jakub.adam@ktknet.cz>
Build-Depends: debhelper (>=9), javahelper, default-jdk (>= 2:1.8), bnd (>= 2.1.0), maven-repo-helper
Standards-Version: 3.9.7
Homepage: http://jpathwatch.wordpress.com
Vcs-Git: git://anonscm.debian.org/pkg-java/jpathwatch.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/jpathwatch.git

Package: libjpathwatch-java
Architecture: all
Depends: ${java:Depends}, ${misc:Depends},
 libjpathwatch-java-jni (>= ${source:Version})
Description: Java library that monitors directories for changes
 jpatchwatch is a Java library for monitoring directories for changes. It uses
 the native OS functions to achieve this, avoiding polling.
 .
 The following events on a directory can be monitored:
 .
  * file creation and deletion
  * file modification
  * file renaming
  * changes in subdirectories (recursive monitoring)
  * invalidation (a watched directory becomes unavailable)

Package: libjpathwatch-java-jni
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Java library that monitors directories for changes (JNI)
 jpatchwatch is a Java library for monitoring directories for changes. It uses
 the native OS functions to achieve this, avoiding polling.
 .
 This package contains architecture specific JNI libraries.

Package: libjpathwatch-java-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libjpathwatch-java
Description: Java library that monitors directories for changes (documentation)
 jpatchwatch is a Java library for monitoring directories for changes. It uses
 the native OS functions to achieve this, avoiding polling.
 .
 This package contains the Javadoc API documentation.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with javahelper,jh_maven_repo_helper

override_dh_auto_build:
	# build JNI library
	$(MAKE) -C jpathwatch-native/src -f ../../debian/Makefile.jni

override_jh_build:
	jh_build
	# generate OSGi metadata
	bnd wrap --properties debian/jpathwatch.bnd --output debian/jpathwatch.jar jpathwatch.jar

override_dh_auto_clean:
	$(MAKE) -C jpathwatch-native/src -f ../../debian/Makefile.jni clean

override_dh_clean:
	dh_clean
	$(RM) debian/jpathwatch.jar

override_dh_install-arch:
	dh_install -plibjpathwatch-java-jni jpathwatch-native/src/libjpathwatch-native.so \
		/usr/lib/$(DEB_HOST_MULTIARCH)/jni
	dh_install -a --remaining-packages

get-orig-source:
	debian/fetch-orig.sh

get-orig-pom:
	wget -O debian/pom.xml https://repo1.maven.org/maven2/net/sf/jpathwatch/jpathwatch/0.95/jpathwatch-0.95.pom

=== debian/watch ===
version=3
http://sf.net/jpathwatch/jpathwatch-(\d+)-(\d+).zip
